/** @type {import('tailwindcss').Config} */
const allColors = require("tailwindcss/colors")

const colors = Object.keys(allColors)
  .filter((key) => {
    const deprecated = [
      "lightBlue",
      "warmGray",
      "trueGray",
      "coolGray",
      "blueGray",
    ]
    return !deprecated.find((val) => val === key)
  })
  .reduce((acc, key) => {
    acc[key] = allColors[key]
    return acc
  }, {})

module.exports = {
  content: [
    "./pages/**/*.{js,ts,jsx,tsx}",
    "./components/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    colors: {
      ...colors,
      theme: "#282c34",
      grayish: "#b1b2b5cc",
      warn: "#fabd04",
      "shield-gray": "#616161",
      "shield-lightgray": "#989898",
    },
    extend: {},
  },
  plugins: [],
}
